﻿using Microsoft.Kinect;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace KinectInteraction
{
    public class Hand
    {
        public JointTrackingState State { get; private set; }
        public SkeletonPoint Position{ get; private set;}
        public SkeletonPoint OldPosition { get; private set; }

        public void SetHand(SkeletonPoint point, JointTrackingState state)
        {
            State = state;
            OldPosition = (Position != null) ?  Position : point ;
            Position = point;
        }
    }
}
