﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;
using System.Windows.Media.Imaging;

namespace DrawingBoard
{
    class DrawingImage
    {
        public WriteableBitmap WriteableBitmap{ get; set; }
        public DrawingImage(string path)
        {
            try
            {
                path = Path.GetFullPath(path);
                Uri uri = new Uri(path);
                var image = new BitmapImage(uri);
                WriteableBitmap = BitmapFactory.ConvertToPbgra32Format(image);        
            }
            catch
            {
                
            }
            
        }
    }
    
}
